Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkTensor Class Reference

`#include <vtkTensor.h>`

Inheritance diagram for vtkTensor:

[legend]
Collaboration diagram for vtkTensor:

[legend]
List of all members.

## Detailed Description

supporting class to enable assignment and referencing of tensors

Date:
  2002/01/22 15:26:25

Revision:
  1.37

vtkTensor is a floating point representation of an nxn tensor. vtkTensor provides methods for assignment and reference of tensor components. It does it in such a way as to minimize data copying.

Warning:
  vtkTensor performs its operations using pointer reference. You are responsible for supplying data storage (if necessary) if local copies of data are being made.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (61%)
  - Martin, Ken (18%)
  - Lorensen, Bill (7%)
  - Law, Charles (5%)

CVS logs (CVSweb):
  - .`h` (`/Common/vtkTensor.h)`
  - .`cxx` (`/Common/vtkTensor.cxx)`

Definition at line 50 of file vtkTensor.h.

## Public Types
typedef vtkObject | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | Initialize ()
float | GetComponent (int i, int j)
void | DeepCopy (vtkTensor *t)
| operator float * ()
void | SetComponent (int i, int j, float v)
void | AddComponent (int i, int j, float v)
float * | GetColumn (int j)
## Static Public Methods
vtkTensor * | New ()
int | IsTypeOf (const char *type)
vtkTensor * | SafeDownCast (vtkObject *o)
## Public Attributes
float * | T
## Protected Methods
| vtkTensor ()
| ~vtkTensor ()
## Protected Attributes
float | Storage [9]

## Member Typedef Documentation

typedef vtkObject vtkTensor::Superclass

| Reimplemented from vtkObject. Definition at line 54 of file vtkTensor.h.

## Constructor & Destructor Documentation

vtkTensor::vtkTensor | ( |  | ) | `[protected]`

vtkTensor::~vtkTensor | ( |  | ) | `[inline, protected]`

| Definition at line 89 of file vtkTensor.h.

## Member Function Documentation

vtkTensor* vtkTensor::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkTensor::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkObject.

int vtkTensor::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject.

virtual int vtkTensor::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject.

vtkTensor* vtkTensor::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkObject.

void vtkTensor::Initialize | ( |  | ) | `[inline]`

| Initialize tensor components to 0.0. Definition at line 97 of file vtkTensor.h. References T.

float vtkTensor::GetComponent | ( | int | i,
|  | int | j
| ) | `[inline]`

| Get the tensor component (i,j). Definition at line 60 of file vtkTensor.h.

void vtkTensor::SetComponent | ( | int | i,
|  | int | j,
|  | float | v
| ) | `[inline]`

| Set the value of the tensor component (i,j). Definition at line 64 of file vtkTensor.h.

void vtkTensor::AddComponent | ( | int | i,
|  | int | j,
|  | float | v
| ) | `[inline]`

| Add to the value of the tensor component at location (i,j). Definition at line 69 of file vtkTensor.h.

float* vtkTensor::GetColumn | ( | int | j | ) | `[inline]`

| Return column vector from tensor. (Assumes 2D matrix form and 0-offset.) Definition at line 75 of file vtkTensor.h.

void vtkTensor::DeepCopy | ( | vtkTensor * | t | ) | `[inline]`

| Deep copy of one tensor to another tensor. Definition at line 108 of file vtkTensor.h. References T.

vtkTensor::operator float * | ( |  | ) | `[inline]`

| Provide float * type conversion. Definition at line 82 of file vtkTensor.h.

## Member Data Documentation

float* vtkTensor::T

| Data member left public for efficiency. Definition at line 85 of file vtkTensor.h. Referenced by DeepCopy(), and Initialize().

float vtkTensor::Storage[9]`[protected]`

| Definition at line 91 of file vtkTensor.h.

The documentation for this class was generated from the following file:

- Common/vtkTensor.h